package com.eyrolles.struts.action;

import java.sql.*;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Vector;
import org.apache.struts.action.*;
import org.apache.struts.actions.DispatchAction;

import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Locale;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionServlet;
import org.apache.struts.util.MessageResources;



import com.eyrolles.struts.form.*;
import com.eyrolles.struts.util.*;
import com.eyrolles.struts.modele.*;
import com.eyrolles.struts.dao.*;

import java.lang.reflect.InvocationTargetException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import java.util.Date;
/**
 * @author Djaafar K.
 * @Version 1.0
 * 
 * 
 *  * 
 * Description 
 * classe action de la page d'authentification  l'application WebStore
 * 
 * Historique des modifications
 *
 * 
 * Fevrier 2005
 * 
 */
public final class LoginAction extends Action {
	
	
	protected String getUserName (String userName, String password) {
		

		User user = null;
		String nomUser = null;
		
		// Cration d'un objet DAO, DbUser
		DbUser dbUtilisateur = new DbUser();
		
		try {
			
			user = dbUtilisateur.loginUser(userName, password);
					
		
		if (user == null) 
			
			System.err.println (" >> Utilisateur " + userName +" non trouv ...");
		else
		    nomUser = user.getNomUser(); 
		}
		
		catch (Exception e) {
			e.printStackTrace();
		}
		return nomUser;
		
	
	}

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws IOException {

		String user = null;
		
		// Cible par dfaut en cas de succs
		
		String target = new String ("success");
		
		// Rcupration des paramtres de la requte  partir 
		// du formulaire LoginForm
		
		String username = ((LoginForm) form).getNomUser();
		String password = ((LoginForm) form).getPassword();
		
		// Rcupre le nom utilisateur  partir de la base de donne
		// WebStock
		
		user = getUserName (username, password);
		
		
		
		if ( user == null) {
			
			target = new String ("login");
			ActionErrors errors = new ActionErrors ();
			
			errors.add (ActionErrors.GLOBAL_ERROR, new ActionError ("error.login.incorrect", username));
			
			if (!errors.empty ()) {
				
				saveErrors (request, errors);
			}
		}
		else {
			
			target = new String ("success");
			// Sauvegarde dans le contexte de la session 
			// de l'utilisateur identifi pour rutilisation
			// ultrieure.
			HttpSession session = request.getSession();
			session.setAttribute("loggedIn", "1");
			session.setAttribute ("user", form);
			// log de l'vnement
			if (servlet.getDebug() >= 1)
     			 servlet.log("LoginAction: User '" + username +
                  "' logged on in session " + session.getId());
		}
		
		// on transmet ensuite la requte  la vue approprie
		
		return (mapping.findForward (target));
		
		}
}

