package com.eyrolles.struts.dao;

import org.apache.struts.util.GenericDataSource;

import com.eyrolles.struts.util.*;
import com.eyrolles.struts.modele.*;

import com.eyrolles.struts.action.*;
import com.eyrolles.struts.form.*;

import java.sql.*;


/**
 * @author Djaafar K.
 * @Version 1.0
 * 
 * 
 * 
 * 
 * Description
 * Exemple de gestion des accs  la base de donnes pour la table WEBSTOCKACCESS
 * selon le modele DAO
 * 
 * Historique des modifications
 *
 * 
 * Fevrier 2005
 * 
 */
public class DbUser {

	public User loginUser(String identifiant, String motDePasse)
		throws Exception {

		ConnectionPool pool = ConnectionPool.getInstance();
		Connection con = pool.getConnection();
		Statement statement = con.createStatement();
		ResultSet rs;
		User user = null;
		String strSQL =
			"SELECT USERID, NOMUSER, MOTDEPASSE "
				+ "FROM WEBSTOCKACCESS WHERE USERID='"
				+ identifiant
				+ "'";

		try {
			rs = statement.executeQuery(strSQL);

			if (rs.next()) {
				if (rs.getString("WEBSTOCK").equals(motDePasse)) {
				
					user = new User();
					user.setNomUser(rs.getString("USERID"));
					user.setMotDePasse(rs.getString("MOTDEPASSE"));
					user.setNomComplet("NOMUSER");
					
				}

			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		con.close();

		return user;
	}
}