package com.eyrolles.struts.action;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

public final class LogoutAction extends Action {
  public ActionForward execute(ActionMapping mapping,
    ActionForm form, HttpServletRequest request, HttpServletResponse response)
    throws IOException, ServletException {
    	
    HttpSession session = request.getSession(false);
    // Remove user login
    session.removeAttribute("user");
    if (session!=null)
      session.invalidate();
    return mapping.findForward("success");
  }

}// end LogoutAction
