package webcomputer.util;

import java.sql.SQLException;
import java.sql.Connection;
import javax.sql.DataSource;


public class ConnectionPool {

	private DataSource ds = null;
	private static ConnectionPool pool;

	private ConnectionPool (DataSource ds) {
		this.ds = ds;
	}

	public static void init (DataSource ds) {
		pool = new ConnectionPool(ds);
	}

	public static ConnectionPool getInstance() {
		if(pool == null) {
			throw new IllegalStateException("Pool non initialis !");
    }
		return(pool);
	}

	public Connection getConnection() throws SQLException {
		return(ds.getConnection());
	}
}